package com.fastbee.ggroup.mapper;

import java.util.List;
import com.fastbee.ggroup.domain.GSitePumpInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 泵站信息Mapper接口
 *
 * @author kerwincui
 * @date 2024-11-04
 */
@Mapper
public interface GSitePumpInfoMapper
{
    /**
     * 查询泵站信息
     *
     * @param SiteId 泵站信息主键
     * @return 泵站信息
     */
    public GSitePumpInfo selectGSitePumpInfoBySiteId(Long SiteId);

    /**
     * 查询泵站信息列表
     *
     * @param gSitePumpInfo 泵站信息
     * @return 泵站信息集合
     */
    public List<GSitePumpInfo> selectGSitePumpInfoList(GSitePumpInfo gSitePumpInfo);

    /**
     * 新增泵站信息
     *
     * @param gSitePumpInfo 泵站信息
     * @return 结果
     */
    public int insertGSitePumpInfo(GSitePumpInfo gSitePumpInfo);

    /**
     * 修改泵站信息
     *
     * @param gSitePumpInfo 泵站信息
     * @return 结果
     */
    public int updateGSitePumpInfo(GSitePumpInfo gSitePumpInfo);

    /**
     * 删除泵站信息
     *
     * @param id 泵站信息主键
     * @return 结果
     */
    public int deleteGSitePumpInfoById(Long id);

    /**
     * 批量删除泵站信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGSitePumpInfoByIds(Long[] ids);
}
